Loading...
Searching...
No Matches
BALL::PyIndexList Class Reference
Python » Python extensions

`#include <BALL/PYTHON/EXTENSIONS/pyIndexList.h>`

Inheritance diagram for BALL::PyIndexList:

## Public Types

Type Definitions
typedef Index | ValueType
typedef Index | PointerType
typedef std::list< Index >::iterator | Iterator
typedef std::list< Index >::const_iterator | ConstIterator

## Public Member Functions

Constructors and Destructors
| PyIndexList ()
| PyIndexList (const PyIndexList &new_list)
| Copy constructor.
| PyIndexList (const std::vector< Index > &indices)
| PyIndexList (const std::list< Index > &fragment)
| PyIndexList (const std::vector< Position > &indices)
| PyIndexList (const std::list< Position > &fragment)
virtual | ~PyIndexList () throw ()
Assignment
PyIndexList & | operator= (const std::list< Index > &idx_list)
PyIndexList & | operator= (const std::list< Position > &idx_list)
PyIndexList & | operator= (const std::vector< Index > &idx_list)
PyIndexList & | operator= (const std::vector< Position > &idx_list)

## Detailed Description

Equivalent for an STL::List of numbers/indices in Python. This is used to express both, lits and arrays of signed/unsigned integers in Python.

Definition at line 25 of file pyIndexList.h.

## Member Typedef Documentation

## ConstIterator

typedef std::list<Index>::const_iterator BALL::PyIndexList::ConstIterator

Constant iterator type.

Definition at line 50 of file pyIndexList.h.

## Iterator

typedef std::list<Index>::iterator BALL::PyIndexList::Iterator

Iterator type.

Definition at line 46 of file pyIndexList.h.

## PointerType

typedef Index BALL::PyIndexList::PointerType

Pointer type

Definition at line 42 of file pyIndexList.h.

## ValueType

typedef Index BALL::PyIndexList::ValueType

Index type

Definition at line 38 of file pyIndexList.h.

## Constructor & Destructor Documentation

## PyIndexList() [1/6]

BALL::PyIndexList::PyIndexList | ( |  | ) |

Default constructor. Create an empty list.

## PyIndexList() [2/6]

BALL::PyIndexList::PyIndexList | ( | const PyIndexList & | new_list | ) |

Copy constructor.

## PyIndexList() [3/6]

BALL::PyIndexList::PyIndexList | ( | const std::vector< Index > & | indices | ) |

Construct from a vector of Index. This constructor creates an PyIndexList object from a vector of Index.

## PyIndexList() [4/6]

BALL::PyIndexList::PyIndexList | ( | const std::list< Index > & | fragment | ) |

Construct from a list of Index. This constructor creates an PyIndexList object from a list of Index objects.

## PyIndexList() [5/6]

BALL::PyIndexList::PyIndexList | ( | const std::vector< Position > & | indices | ) |

Construct from a vector of Index. This constructor creates an PyIndexList object from a vector of Index.

## PyIndexList() [6/6]

BALL::PyIndexList::PyIndexList | ( | const std::list< Position > & | fragment | ) |

Construct from a list of Index. This constructor creates an PyIndexList object from a list of Index objects.

## ~PyIndexList()

virtual BALL::PyIndexList::~PyIndexList | ( |  | ) |
throw | ( | ) |  |  |

virtual

Destructor

## Member Function Documentation

## operator=() [1/4]

PyIndexList & BALL::PyIndexList::operator= | ( | const std::list< Index > & | idx_list | ) |

## operator=() [2/4]

PyIndexList & BALL::PyIndexList::operator= | ( | const std::list< Position > & | idx_list | ) |

## operator=() [3/4]

PyIndexList & BALL::PyIndexList::operator= | ( | const std::vector< Index > & | idx_list | ) |

## operator=() [4/4]

PyIndexList & BALL::PyIndexList::operator= | ( | const std::vector< Position > & | idx_list | ) |